Auto update error

Discussion in 'General OpenLiteSpeed Discussion' started by Jamie-VV, Aug 28, 2017.

  1. Jamie-VV

    Jamie-VV New Member

    Hi,
    Does OpenLiteSpeed want to do some automatic update or something?

    My error.log file has a number of these entries:

    2017-08-28 02:57:00.103 [ERROR] HttpFetch[177]::failed to create file /usr/local/lsws//autoupdate/release: Permission denied.

    I understand why there is a permission denied error as I have:

    drwxr-xr-x 2 root root 4096 Sep 18 2016 autoupdate/

    Should that directory be owned by "lsadm"?

    And what is the automatic update it is trying to do?
     
  2. lsfoo

    lsfoo Administrator

    Hi @Jamie-VV

    So what this is trying to do is check for new releases. If it finds a new release, it will append a log message to let you know that there is a new release.

    With regards to who should own this directory, what OS are you using? and who do you have configured to run the server as? (this is in the server config)

    Cheers,
    Kevin
     
  3. Jamie-VV

    Jamie-VV New Member

    Hi Kevin, thanks for the explanation.

    I am running OpenLiteSpeed 1.4.27 on Ubuntu 14.04.

    In httpd_config.conf, I have:

    user nobody
    group nogroup
     
  4. lsfoo

    lsfoo Administrator

    Thanks for the info.

    This issue should be resolved in the next release.

    Cheers,
    Kevin
     

Share This Page